//
//  WebConnectControllerViewController.m
//  WebConnectController
//
//  Created by Pedro Anisio Silva on 5/5/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "WebConnectControllerViewController.h"

@implementation WebConnectControllerViewController
@synthesize txtFieldURL,txtAreaResult, txtFieldChave, txtFieldValor;

-(IBAction) submitBtn
{

  // SET THE DATA THAT SHOULD BE SENT
   
   NSMutableDictionary	*webdata = [[NSMutableDictionary alloc] init];
   NSMutableDictionary	*param = [[NSMutableDictionary alloc] init];
  
   [param setObject:txtFieldValor.text forKey:txtFieldChave.text];
  
  // Can be handle multiple parameters
  //[param setObject:txtFieldValor1.text forKey:txtFieldChave1.text];
  //[param setObject:txtFieldValor2.text forKey:txtFieldChave2.text];

   [webdata setObject:param forKey:@"parameters"];
   [webdata setObject:txtFieldURL.text forKey:@"urlToREST"];
   [webdata setObject:@"POST" forKey:@"action"];
   [webdata setObject:NSStringFromSelector(_cmd) forKey:@"signature"];
   
   // END
   
   // STORE AND TRY TO SEND
   
   [WebConnectController addWebData:webdata];
   [WebConnectController flushWebData];
   [param release];
   [webdata release];
   
   // END 
}

- (void)dealloc
{
    [super dealloc];
}

- (BOOL)textFieldShouldReturn:(UITextField*)aTextField
{
  [aTextField resignFirstResponder];
  return YES;
}


- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
  txtFieldURL.delegate = self;
  txtFieldChave.delegate = self;
  txtFieldValor.delegate = self;
  
  [super viewDidLoad];
}


- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
